<?php

class Qcld_WPBot_Install
{
    /**
     * Create Necessary table during installation
     *
     * @return void
     */
    public static function install() {
        global $wpdb;

        $collate = '';
        if ( $wpdb->has_cap( 'collation' ) ) {
    
            if ( ! empty( $wpdb->charset ) ) {
    
                $collate .= "DEFAULT CHARACTER SET $wpdb->charset";
            }
            if ( ! empty( $wpdb->collate ) ) {
    
                $collate .= " COLLATE $wpdb->collate";
    
            }
        }
        $table    = $wpdb->prefix.'wpbot_subscription';
        $sql_sliders_Table = "
            CREATE TABLE IF NOT EXISTS `$table` (
              `id` int(11) NOT NULL AUTO_INCREMENT,
              `name` varchar(256) NOT NULL,
              `email` varchar(256) NOT NULL,
              `phone` varchar(256) NOT NULL,
              `url` text NOT NULL,
              `date` datetime NOT NULL,
              `user_agent` text NOT NULL,
              PRIMARY KEY (`id`)
            )  $collate AUTO_INCREMENT=1 ";
            
        require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
        dbDelta( $sql_sliders_Table );
        if ( ! qcwp_isset_table_column( $table, 'phone' ) ) {
            $sql_wp_Table_update_1 = "ALTER TABLE `$table` ADD `phone` varchar(256) NOT NULL;";
            $wpdb->query( $sql_wp_Table_update_1 );
        }
    
        //Bot User Table
        $table1    = $wpdb->prefix.'wpbot_user';
        $sql_sliders_Table1 = "
            CREATE TABLE IF NOT EXISTS `$table1` (
              `id` int(11) NOT NULL AUTO_INCREMENT,
              `session_id` varchar(256) NOT NULL,
              `name` varchar(256) NOT NULL,
              `email` varchar(256) NOT NULL,
              `phone` varchar(256) NOT NULL,
              `date` datetime NOT NULL,
              PRIMARY KEY (`id`)
            )  $collate AUTO_INCREMENT=1 ";
            
        require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
        dbDelta( $sql_sliders_Table1 );
    
    
        if ( ! qcwp_isset_table_column( $table1, 'phone' ) ) {
            $sql_wp_Table_update_1 = "ALTER TABLE `$table1` ADD `phone` varchar(256) NOT NULL;";
            $wpdb->query( $sql_wp_Table_update_1 );
        }
    
        //Bot User Table
        $table1    = $wpdb->prefix.'wpbot_Conversation';
        $sql_sliders_Table1 = "
            CREATE TABLE IF NOT EXISTS `$table1` (
              `id` int(11) NOT NULL AUTO_INCREMENT,
              `user_id` int(11) NOT NULL,
              `conversation` LONGTEXT NOT NULL,
              PRIMARY KEY (`id`)
            )  $collate AUTO_INCREMENT=1 ";
            
        require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
        dbDelta( $sql_sliders_Table1 );
    
        //Bot Response Table
        $table1    = $wpdb->prefix.'wpbot_response';
        $sql_sliders_Table1 = "
            CREATE TABLE IF NOT EXISTS `$table1` (
            `id` INT UNSIGNED AUTO_INCREMENT NOT NULL PRIMARY KEY,
            `query` TEXT NOT NULL,
            `keyword` TEXT NOT NULL,
            `response` TEXT NOT NULL,
            `category` varchar(256) NOT NULL,
            `intent` varchar(256) NOT NULL,
            `custom` varchar(256) NOT NULL,
            FULLTEXT(`query`, `keyword`, `response`)
            )  $collate AUTO_INCREMENT=1 ENGINE=InnoDB";
            
        require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
        dbDelta( $sql_sliders_Table1 );
        
        $sqlqry = $wpdb->get_results("select * from $table1");
        if(empty($sqlqry)){
            $query = 'What Can WPBot do for you?';
            $response = 'WPBot can converse fluidly with users on website and FB messenger. It can search your website, send/collect eMails, user feedback & phone numbers . You can create Custom Intents from DialogFlow with Rich Messages & Card responses!';
    
            $data = array('query' => $query, 'keyword' => '', 'response'=> $response, 'intent'=> '');
            $format = array('%s','%s', '%s', '%s');
            $wpdb->insert($table1,$data,$format);
        }
        
        //Bot User Table
        $table1    = $wpdb->prefix.'wpbot_sessions';
        $sql_sliders_Table1 = "
            CREATE TABLE IF NOT EXISTS `$table1` (
              `id` int(11) NOT NULL AUTO_INCREMENT,
              `session` int(11) NOT NULL,
              PRIMARY KEY (`id`)
            )  $collate AUTO_INCREMENT=1 ";
            
        require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
        dbDelta( $sql_sliders_Table1 );
        
    
        $url = get_site_url();
        $url = parse_url($url);
        $domain = $url['host'];
        
        $admin_email = get_option('admin_email');
    
        if(!get_option('wp_chatbot_position_x')) {
            update_option('wp_chatbot_position_x', 50);
        }
        if(!get_option('wp_chatbot_position_y')) {
            update_option('wp_chatbot_position_y', 50);
        }
        if(!get_option('wp_chatbot_position_in')) {
            update_option('wp_chatbot_position_in', 'px');
        }
        if(!get_option('disable_wp_chatbot')) {
            update_option('disable_wp_chatbot', '');
        }
        if(!get_option('disable_wp_chatbot_floating_icon')) {
            update_option('disable_wp_chatbot_floating_icon', '');
        }
        if(!get_option('skip_wp_greetings')) {
            update_option('skip_wp_greetings', '');
        }
    
        if(!get_option('skip_wp_greetings_trigger_intent')) {
            update_option('skip_wp_greetings_trigger_intent', '');
        }
    
        if(!get_option('show_menu_after_greetings')) {
            update_option('show_menu_after_greetings', '');
        }
    
        if(!get_option('show_intent_navigation_notification')) {
            update_option('show_intent_navigation_notification', '');
        }
    
        
    
        if(!get_option('enable_wp_chatbot_disable_producticon')) {
            update_option('enable_wp_chatbot_disable_producticon', '');
        }
        if(!get_option('enable_wp_chatbot_disable_carticon')) {
            update_option('enable_wp_chatbot_disable_carticon', '');
        }
    
        if(!get_option('disable_youtube_parse')) {
            update_option('disable_youtube_parse', '');
        }
        
    
        if(!get_option('wpbot_support_mail_to_crm_contact')) {
            update_option('wpbot_support_mail_to_crm_contact', 1);
        }
        
        if(!get_option('disable_first_msg')) {
            update_option('disable_first_msg', '');
        }
        if(!get_option('enable_reset_close_button')) {
            update_option('enable_reset_close_button', '');
        }
        if(!get_option('qc_auto_hide_floating_button')) {
            update_option('qc_auto_hide_floating_button', '');
        }
    
        
    
        if(!get_option('qlcd_wp_chatbot_reset_lan')) {
            update_option('qlcd_wp_chatbot_reset_lan', 'Reset');
        }
    
        if(!get_option('qlcd_wp_chatbot_close_lan')) {
            update_option('qlcd_wp_chatbot_close_lan', 'Close');
        }
    
        
        if(!get_option('ask_email_wp_greetings')) {
            update_option('ask_email_wp_greetings', '');
        }
        if(!get_option('ask_name_confirmation')) {
            update_option('ask_name_confirmation', '');
        }
        if(!get_option('ask_phone_wp_greetings')) {
            update_option('ask_phone_wp_greetings', '');
        }
        if(!get_option('qc_email_subscription_offer')) {
            update_option('qc_email_subscription_offer', '');
        }
        
        if(!get_option('enable_wp_chatbot_open_initial')) {
            update_option('enable_wp_chatbot_open_initial', '');
        }
        if(!get_option('wp_keep_chat_window_open')) {
            update_option('wp_keep_chat_window_open', '');
        }
    
        
    
        if(!get_option('disable_wp_chatbot_icon_animation')) {
            update_option('disable_wp_chatbot_icon_animation', '');
        }
    
        if(!get_option('disable_wp_agent_icon_animation')) {
            update_option('disable_wp_agent_icon_animation', '');
        }
    
        
    
        if(!get_option('disable_wp_chatbot_history')) {
            update_option('disable_wp_chatbot_history', '');
        }
        if(!get_option('always_scroll_to_bottom')) {
            update_option('always_scroll_to_bottom', '');
        }
        if(!get_option('disable_wp_chatbot_on_mobile')) {
            update_option('disable_wp_chatbot_on_mobile', '');
        }
    
        if(!get_option('disable_auto_focus_message_area')) {
            update_option('disable_auto_focus_message_area', '');
        }
    
        
        if(!get_option('disable_livechat_operator_offline')) {
            update_option('disable_livechat_operator_offline', '');
        }
        if(!get_option('disable_wp_chatbot_product_search')) {
            update_option('disable_wp_chatbot_product_search', '');
        }
        if(!get_option('disable_wp_chatbot_catalog')) {
            update_option('disable_wp_chatbot_catalog', '');
        }
    
        if(!get_option('enable_wp_chatbot_disable_chaticon')) {
            update_option('enable_wp_chatbot_disable_chaticon', '');
        }
    
        if(!get_option('enable_wp_chatbot_disable_supporticon')) {
            update_option('enable_wp_chatbot_disable_supporticon', '');
        }
    
        if(!get_option('enable_wp_chatbot_disable_helpicon')) {
            update_option('enable_wp_chatbot_disable_helpicon', '');
        }
    
        if(!get_option('enable_wp_chatbot_disable_allicon')) {
            update_option('enable_wp_chatbot_disable_allicon', '');
        }
    
        if(!get_option('disable_wp_chatbot_order_status')) {
            update_option('disable_wp_chatbot_order_status', '');
        }
        if(!get_option('enable_wp_chatbot_rtl')) {
            update_option('enable_wp_chatbot_rtl', '');
        }
        if(!get_option('enable_wp_chatbot_mobile_full_screen')) {
            update_option('enable_wp_chatbot_mobile_full_screen', '');
        }
        if(!get_option('enable_wp_chatbot_gdpr_compliance')) {
            update_option('enable_wp_chatbot_gdpr_compliance', '');
        }
        if(!get_option('wpbot_search_result_new_window')) {
            update_option('wpbot_search_result_new_window', '');
        }
    
        if(!get_option('wpbot_card_response_same_window')) {
            update_option('wpbot_card_response_same_window', '');
        }
    
        
    
        if(!get_option('wpbot_search_image_size')) {
            update_option('wpbot_search_image_size', 'thumbnail');
        }
    
        
        if(!get_option('wpbot_disable_repeatative')) {
            update_option('wpbot_disable_repeatative', '');
        }
        if(!get_option('qc_display_for_loggedin_users')) {
            update_option('qc_display_for_loggedin_users', '');
        }
    
        if(!get_option('wpbot_preloading_time')) {
            update_option('wpbot_preloading_time', '2000');
        }
    
        
    
        if(!get_option('qlcd_wp_chatbot_cart_total')) {
            update_option('qlcd_wp_chatbot_cart_total', serialize(array('Total')));
        }
        
    
        if(!get_option('wpbot_search_result_number')) {
            update_option('wpbot_search_result_number', '');
        }
    
        if(!get_option('wpbot_gdpr_text')) {
            update_option('wpbot_gdpr_text', 'We will never spam you! You can read our <a href="#" target="_blank">Privacy Policy here.</a>');
        }
    
        if(!get_option('no_result_attempt_count')) {
            update_option('no_result_attempt_count', 3);
        }
    
         if(!get_option('disable_wp_chatbot_notification')) {
            update_option('disable_wp_chatbot_notification', '0');
        }
        if(!get_option('disable_wp_chatbot_notification_mobile')) {
            update_option('disable_wp_chatbot_notification_mobile', '0');
        }
    
        if(!get_option('wp_chatbot_exclude_post_list')) {
            update_option('wp_chatbot_exclude_post_list', serialize(array()));
        }
    
        if(!get_option('wp_chatbot_exclude_pages_list')) {
            update_option('wp_chatbot_exclude_pages_list', serialize(array()));
        }
    
        if(!get_option('wpbot_click_chat_text')) {
            update_option('wpbot_click_chat_text', 'Click to Chat');
        }
        if(!get_option('qc_wpbot_menu_order')) {
            update_option('qc_wpbot_menu_order', '');
        }
    
        
    
        if(!get_option('disable_wp_chatbot_cart_item_number')) {
            update_option('disable_wp_chatbot_cart_item_number', '');
        }
        if(!get_option('disable_wp_chatbot_featured_product')) {
            update_option('disable_wp_chatbot_featured_product', '');
        }
        if(!get_option('disable_wp_chatbot_sale_product')) {
            update_option('disable_wp_chatbot_sale_product', '');
        }
         if(!get_option('wp_chatbot_open_product_detail')) {
            update_option('wp_chatbot_open_product_detail', '');
        }
        if(!get_option('qlcd_wp_chatbot_product_orderby')) {
            update_option('qlcd_wp_chatbot_product_orderby', sanitize_text_field('title'));
        }
    
        if(!get_option('wp_chatbot_exitintent_show_pages')){
            update_option('wp_chatbot_exitintent_show_pages', 'on');
        }
    
        if(!get_option('wp_chatbot_scrollintent_show_pages')){
            update_option('wp_chatbot_scrollintent_show_pages', 'on');
        }
    
        if(!get_option('wp_chatbot_autointent_show_pages')){
            update_option('wp_chatbot_autointent_show_pages', 'on');
        }
    
        if(!get_option('wp_chatbot_exitintent_show_pages_list')) {
            update_option('wp_chatbot_exitintent_show_pages_list', serialize(array()));
        }
        if(!get_option('wpbot_notification_navigations')) {
            update_option('wpbot_notification_navigations', serialize(array()));
        }
    
    
        if(!get_option('qlcd_wp_chatbot_product_order')) {
            update_option('qlcd_wp_chatbot_product_order', sanitize_text_field('ASC'));
        }
        if(!get_option('qlcd_wp_chatbot_ppp')) {
            update_option('qlcd_wp_chatbot_ppp', intval(6));
        }
        if(!get_option('wp_chatbot_exclude_stock_out_product')) {
            update_option('wp_chatbot_exclude_stock_out_product', '');
        }
        if(!get_option('wp_chatbot_show_sub_category')) {
            update_option('wp_chatbot_show_sub_category', '');
        }
        if(!get_option('wp_chatbot_vertical_custom')){
            update_option('wp_chatbot_vertical_custom', 'Go To');
        }
        if(!get_option('wp_chatbot_show_home_page')) {
            update_option('wp_chatbot_show_home_page', 'on');
        }
        if(!get_option('wp_chatbot_show_posts')) {
            update_option('wp_chatbot_show_posts', 'on');
        }
        if(!get_option('wp_chatbot_show_pages')){
            update_option('wp_chatbot_show_pages', 'on');
        }
        if(!get_option('wp_chatbot_show_pages_list')) {
            update_option('wp_chatbot_show_pages_list', serialize(array()));
        }
        if(!get_option('wp_chatbot_show_woocommerce')) {
            update_option('wp_chatbot_show_woocommerce', 'on');
        }
        if(!get_option('qlcd_wp_chatbot_stop_words_name')) {
            update_option('qlcd_wp_chatbot_stop_words_name', 'english');
        }
        if(!get_option('qlcd_wp_chatbot_stop_words')) {
            update_option('qlcd_wp_chatbot_stop_words', "a,able,about,above,abst,accordance,according,accordingly,across,act,actually,added,adj,affected,affecting,affects,after,afterwards,again,against,ah,all,almost,alone,along,already,also,although,always,am,among,amongst,an,and,announce,another,any,anybody,anyhow,anymore,anyone,anything,anyway,anyways,anywhere,apparently,approximately,are,aren,arent,arise,around,as,aside,ask,asking,at,auth,available,away,awfully,b,back,be,became,because,become,becomes,becoming,been,before,beforehand,begin,beginning,beginnings,begins,behind,being,believe,below,beside,besides,between,beyond,biol,both,brief,briefly,but,by,c,ca,came,can,cannot,can't,cause,causes,certain,certainly,co,com,come,comes,contain,containing,contains,could,couldnt,d,date,did,didn't,different,do,does,doesn't,doing,done,don't,down,downwards,due,during,e,each,ed,edu,effect,eg,eight,eighty,either,else,elsewhere,end,ending,enough,especially,et,et-al,etc,even,ever,every,everybody,everyone,everything,everywhere,ex,except,f,far,few,ff,fifth,first,five,fix,followed,following,follows,for,former,formerly,forth,found,four,from,further,furthermore,g,gave,get,gets,getting,give,given,gives,giving,go,goes,gone,got,gotten,h,had,happens,hardly,has,hasn't,have,haven't,having,he,hed,hence,her,here,hereafter,hereby,herein,heres,hereupon,hers,herself,hes,hi,hid,him,himself,his,hither,home,how,howbeit,however,hundred,i,id,ie,if,i'll,im,immediate,immediately,importance,important,in,inc,indeed,index,information,instead,into,invention,inward,is,isn't,it,itd,it'll,its,itself,i've,j,just,k,keep,keeps,kept,kg,km,know,known,knows,l,largely,last,lately,later,latter,latterly,least,less,lest,let,lets,like,liked,likely,line,little,'ll,look,looking,looks,ltd,m,made,mainly,make,makes,many,may,maybe,me,mean,means,meantime,meanwhile,merely,mg,might,million,miss,ml,more,moreover,most,mostly,mr,mrs,much,mug,must,my,myself,n,na,name,namely,nay,nd,near,nearly,necessarily,necessary,need,needs,neither,never,nevertheless,new,next,nine,ninety,no,nobody,non,none,nonetheless,noone,nor,normally,nos,not,noted,nothing,now,nowhere,o,obtain,obtained,obviously,of,off,often,oh,ok,okay,old,omitted,on,once,one,ones,only,onto,or,ord,other,others,otherwise,ought,our,ours,ourselves,out,outside,over,overall,owing,own,p,page,pages,part,particular,particularly,past,per,perhaps,placed,please,plus,poorly,possible,possibly,potentially,pp,predominantly,present,previously,primarily,probably,promptly,proud,provides,put,q,que,quickly,quite,qv,r,ran,rather,rd,re,readily,really,recent,recently,ref,refs,regarding,regardless,regards,related,relatively,research,respectively,resulted,resulting,results,right,run,s,said,same,saw,say,saying,says,sec,section,see,seeing,seem,seemed,seeming,seems,seen,self,selves,sent,seven,several,shall,she,shed,she'll,shes,should,shouldn't,show,showed,shown,showns,shows,significant,significantly,similar,similarly,since,six,slightly,so,some,somebody,somehow,someone,somethan,something,sometime,sometimes,somewhat,somewhere,soon,sorry,specifically,specified,specify,specifying,still,stop,strongly,sub,substantially,successfully,such,sufficiently,suggest,sup,sure,t,take,taken,taking,tell,tends,th,than,thank,thanks,thanx,that,that'll,thats,that've,the,their,theirs,them,themselves,then,thence,there,thereafter,thereby,thered,therefore,therein,there'll,thereof,therere,theres,thereto,thereupon,there've,these,they,theyd,they'll,theyre,they've,think,this,those,thou,though,thoughh,thousand,throug,through,throughout,thru,thus,til,tip,to,together,too,took,toward,towards,tried,tries,truly,try,trying,ts,twice,two,u,un,under,unfortunately,unless,unlike,unlikely,until,unto,up,upon,ups,us,use,used,useful,usefully,usefulness,uses,using,usually,v,value,various,'ve,very,via,viz,vol,vols,vs,w,want,wants,was,wasnt,way,we,wed,welcome,we'll,went,were,werent,we've,what,whatever,what'll,whats,when,whence,whenever,where,whereafter,whereas,whereby,wherein,wheres,whereupon,wherever,whether,which,while,whim,whither,who,whod,whoever,whole,who'll,whom,whomever,whos,whose,why,widely,willing,wish,with,within,without,wont,words,world,would,wouldnt,www,x,y,yes,yet,you,youd,you'll,your,youre,yours,yourself,yourselves,you've,z,zero");
        }
        if(!get_option('qlcd_wp_chatbot_order_user')) {
            update_option('qlcd_wp_chatbot_order_user', sanitize_text_field('login'));
        }
        if(!get_option('wp_chatbot_custom_agent_path')) {
            update_option('wp_chatbot_custom_agent_path', '');
        }
        if(!get_option('wp_chatbot_custom_icon_path')) {
            update_option('wp_chatbot_custom_icon_path', '');
        }
    
        if(!get_option('wp_chatbot_icon') || get_option('wp_chatbot_icon')=='icon-13.png') {
            update_option('wp_chatbot_icon', sanitize_text_field('icon-0.png'));
        }
        if(!get_option('wp_chatbot_agent_image')){
            update_option('wp_chatbot_agent_image',sanitize_text_field('agent-0.png'));
        }
        if(!get_option('qcld_wb_chatbot_theme')) {
            update_option('qcld_wb_chatbot_theme', sanitize_text_field('template-01'));
        }
        if(!get_option('qcld_wb_chatbot_change_bg')) {
            update_option('qcld_wb_chatbot_change_bg', '');
        }
        if(!get_option('wp_chatbot_custom_css')) {
            update_option('wp_chatbot_custom_css', '');
        }
        if(!get_option('qlcd_wp_chatbot_host')) {
            update_option('qlcd_wp_chatbot_host', sanitize_text_field('Our Website'));
        }
        if(!get_option('qlcd_wp_chatbot_agent')) {
            update_option('qlcd_wp_chatbot_agent', sanitize_text_field('Carrie'));
        }
        if(!get_option('qlcd_wp_chatbot_host')) {
            update_option('qlcd_wp_chatbot_host', sanitize_text_field('Our Website'));
        }
        if(!get_option('qlcd_wp_chatbot_shopper_demo_name')) {
            update_option('qlcd_wp_chatbot_shopper_demo_name', sanitize_text_field('Amigo'));
        }
        if(!get_option('qlcd_wp_chatbot_shopper_call_you')) {
            update_option('qlcd_wp_chatbot_shopper_call_you', sanitize_text_field('Ok, I will just call you'));
        }
        if(!get_option('qlcd_wp_chatbot_yes')) {
            update_option('qlcd_wp_chatbot_yes', sanitize_text_field('YES'));
        }
        if(!get_option('qlcd_wp_chatbot_no')) {
            update_option('qlcd_wp_chatbot_no', sanitize_text_field('NO'));
        }
        if(!get_option('qlcd_wp_chatbot_or')) {
            update_option('qlcd_wp_chatbot_or', sanitize_text_field('OR'));
        }
        if(!get_option('qlcd_wp_chatbot_sorry')) {
            update_option('qlcd_wp_chatbot_sorry', sanitize_text_field('Sorry'));
        }
        if(!get_option('qlcd_wp_chatbot_hello')) {
            update_option('qlcd_wp_chatbot_hello', sanitize_text_field('Hello'));
        }
    
        if(!get_option('qlcd_wp_chatbot_chat_with_us')) {
            update_option('qlcd_wp_chatbot_chat_with_us', sanitize_text_field('Chat with us!'));
        }
    
        
        if(!get_option('qlcd_wp_chatbot_agent_join')) {
            update_option('qlcd_wp_chatbot_agent_join', serialize(array('has joined the conversation')));
        }
        if(!get_option('qlcd_wp_chatbot_welcome')) {
            update_option('qlcd_wp_chatbot_welcome', serialize(array('Welcome to', 'Glad to have you at')));
        }
        if(!get_option('qlcd_wp_chatbot_back_to_start')) {
            update_option('qlcd_wp_chatbot_back_to_start', serialize(array('Back to Start')));
        }
        if(!get_option('qlcd_wp_chatbot_hi_there')) {
            update_option('qlcd_wp_chatbot_hi_there', serialize(array('Hi There!')));
        }
        if(!get_option('qlcd_wp_chatbot_welcome_back')) {
            update_option('qlcd_wp_chatbot_welcome_back', serialize(array('Welcome back', 'Good to see your again')));
        }
        if(!get_option('qlcd_wp_chatbot_asking_name')) {
            update_option('qlcd_wp_chatbot_asking_name', serialize(array('May I know your name?', 'What should I call you?')));
        }
        if(!get_option('qlcd_wp_chatbot_asking_emailaddress')) {
            update_option('qlcd_wp_chatbot_asking_emailaddress', serialize(array('May i know your email %%username%%? so i can get back to you if needed.')));
        }
    
        if(!get_option('qlcd_wp_chatbot_got_email')) {
            update_option('qlcd_wp_chatbot_got_email', serialize(array('Thanks for sharing your email %%username%%!')));
        }
        if(!get_option('qlcd_wp_chatbot_email_ignore')) {
            update_option('qlcd_wp_chatbot_email_ignore', serialize(array('No problem %%username%%, if you do not want to share your email address!')));
        }
    
        if(!get_option('qlcd_wp_chatbot_asking_phone_gt')) {
            update_option('qlcd_wp_chatbot_asking_phone_gt', serialize(array('May i know your phone number %%username%%? so i can get back to you if needed.')));
        }
    
        if(!get_option('qlcd_wp_chatbot_got_phone')) {
            update_option('qlcd_wp_chatbot_got_phone', serialize(array('Thanks for sharing your phone number %%username%%!')));
        }
        if(!get_option('qlcd_wp_chatbot_phone_ignore')) {
            update_option('qlcd_wp_chatbot_phone_ignore', serialize(array('No problem %%username%%, if you do not want to share your phone number!')));
        }
        if(!get_option('qlcd_wp_i_understand')) {
            update_option('qlcd_wp_i_understand', serialize(array('I understand that your name is %%username%%. Is that correct?')));
        }
    
        if(!get_option('qlcd_wp_chatbot_valid_phone_number')) {
            update_option('qlcd_wp_chatbot_valid_phone_number', serialize(array('Please provide a valid phone number')));
        }
    
        
        if(!get_option('qlcd_wp_chatbot_name_greeting')) {
            update_option('qlcd_wp_chatbot_name_greeting', serialize(array('Nice to meet you, %%username%%!')));
        }
        if(!get_option('qlcd_wp_chatbot_i_am')) {
            update_option('qlcd_wp_chatbot_i_am', serialize(array('I am', 'This is')));
        }
        if(!get_option('qlcd_wp_chatbot_is_typing')) {
            update_option('qlcd_wp_chatbot_is_typing', serialize(array('is typing...')));
        }
        if(!get_option('qlcd_wp_chatbot_send_a_msg')) {
            update_option('qlcd_wp_chatbot_send_a_msg', serialize(array('Send a message.')));
        }
        if(!get_option('qlcd_wp_chatbot_choose_option')) {
            update_option('qlcd_wp_chatbot_choose_option', serialize(array('Choose an option.')));
        }
        if(!get_option('qlcd_wp_chatbot_viewed_products')) {
            update_option('qlcd_wp_chatbot_viewed_products', serialize(array('Recently viewed products')));
        }
        if(!get_option('qlcd_wp_chatbot_add_to_cart')) {
            update_option('qlcd_wp_chatbot_add_to_cart', serialize(array('Add to Cart')));
        }
        if(!get_option('qlcd_wp_chatbot_cart_link')) {
            update_option('qlcd_wp_chatbot_cart_link', serialize(array('Cart')));
        }
        if(!get_option('qlcd_wp_chatbot_checkout_link')) {
            update_option('qlcd_wp_chatbot_checkout_link', serialize(array('Checkout')));
        }
        if(!get_option('qlcd_wp_chatbot_featured_product_welcome')) {
            update_option('qlcd_wp_chatbot_featured_product_welcome', serialize(array('I have found following featured products')));
        }
        if(!get_option('qlcd_wp_chatbot_viewed_product_welcome')) {
            update_option('qlcd_wp_chatbot_viewed_product_welcome', serialize(array('I have found following recently viewed products')));
        }
        if(!get_option('qlcd_wp_chatbot_latest_product_welcome')) {
            update_option('qlcd_wp_chatbot_latest_product_welcome', serialize(array('I have found following latest products')));
        }
        if(!get_option('qlcd_wp_chatbot_cart_welcome')) {
            update_option('qlcd_wp_chatbot_cart_welcome', serialize(array('I have found following items from Shopping Cart.')));
        }
        if(!get_option('qlcd_wp_chatbot_cart_title')) {
            update_option('qlcd_wp_chatbot_cart_title', serialize(array('Title')));
        }
        if(!get_option('qlcd_wp_chatbot_cart_quantity')) {
            update_option('qlcd_wp_chatbot_cart_quantity', serialize(array('Qty')));
        }
        if(!get_option('qlcd_wp_chatbot_cart_price')) {
            update_option('qlcd_wp_chatbot_cart_price', serialize(array('Price')));
        }
        if(!get_option('qlcd_wp_chatbot_no_cart_items')) {
            update_option('qlcd_wp_chatbot_no_cart_items', serialize(array('No items in the cart')));
        }
        if(!get_option('qlcd_wp_chatbot_cart_updating')) {
            update_option('qlcd_wp_chatbot_cart_updating', serialize(array('Updating cart items ...')));
        }
        if(!get_option('qlcd_wp_chatbot_cart_removing')) {
            update_option('qlcd_wp_chatbot_cart_removing', serialize(array('Removing cart items ...')));
        }
        if(!get_option('qlcd_wp_chatbot_wildcard_msg')) {
            update_option('qlcd_wp_chatbot_wildcard_msg', serialize(array('Hi %%username%%. I am here to find what you need. What are you looking for?')));
        }
        if(!get_option('qlcd_wp_chatbot_empty_filter_msg')) {
            update_option('qlcd_wp_chatbot_empty_filter_msg', serialize(array('Sorry, I did not understand you.')));
        }
        if(!get_option('do_you_want_to_subscribe')) {
            update_option('do_you_want_to_subscribe', serialize(array('Do you want to subscribe to our newsletter?')));
        }
        if(!get_option('qlcd_wp_chatbot_file_upload_succ')) {
            update_option('qlcd_wp_chatbot_file_upload_succ', 'File has been uploaded successfully!');
        }
        if(!get_option('qlcd_wp_chatbot_file_upload_fail')) {
            update_option('qlcd_wp_chatbot_file_upload_fail', 'Failed to upload the file.');
        }
        if(!get_option('qlcd_wp_chatbot_file_size_excd')) {
            update_option('qlcd_wp_chatbot_file_size_excd', 'Max file upload size exceed.');
        }
        if(!get_option('qlcd_wp_chatbot_ext_not_allowed')) {
            update_option('qlcd_wp_chatbot_ext_not_allowed', 'Extension not allowed, please choose a valid file.');
        }
        if(!get_option('do_you_want_to_unsubscribe')) {
            update_option('do_you_want_to_unsubscribe', serialize(array('Do you want to unsubscribe from our newsletter?')));
        }
    
        if(!get_option('we_do_not_have_your_email')) {
            update_option('we_do_not_have_your_email', serialize(array('We do not have your email in the ChatBot database.')));
        }
    
        if(!get_option('you_have_successfully_unsubscribe')) {
            update_option('you_have_successfully_unsubscribe', serialize(array('You have successfully unsubscribed from our newsletter!')));
        }
    
        if(!get_option('qlcd_wp_chatbot_sys_key_help')) {
            update_option('qlcd_wp_chatbot_sys_key_help', 'start');
        }
        if(!get_option('qlcd_wp_chatbot_sys_key_product')) {
            update_option('qlcd_wp_chatbot_sys_key_product', 'product');
        }
        if(!get_option('qlcd_wp_chatbot_sys_key_catalog')) {
            update_option('qlcd_wp_chatbot_sys_key_catalog', 'catalog');
        }
        if(!get_option('qlcd_wp_chatbot_sys_key_order')) {
            update_option('qlcd_wp_chatbot_sys_key_order', 'order');
        }
        if(!get_option('qlcd_wp_chatbot_sys_key_support')) {
            update_option('qlcd_wp_chatbot_sys_key_support', 'faq');
        }
        if(!get_option('qlcd_wp_chatbot_sys_key_reset')) {
            update_option('qlcd_wp_chatbot_sys_key_reset', 'reset');
        }
        if(!get_option('qlcd_wp_chatbot_sys_key_livechat')) {
            update_option('qlcd_wp_chatbot_sys_key_livechat', 'livechat');
        }
        if(!get_option('qlcd_wp_chatbot_help_welcome')) {
            update_option('qlcd_wp_chatbot_help_welcome', serialize(array('Welcome to Help Section.')));
        }
        if(!get_option('qlcd_wp_chatbot_tag_search_intent')) {
            update_option('qlcd_wp_chatbot_tag_search_intent', serialize(array('ChooseCoffee')));
        }
        if(!get_option('qlcd_wp_chatbot_help_msg')) {
            update_option('qlcd_wp_chatbot_help_msg', serialize(array('<h3>Type and Hit Enter</h3>  1. <b>start</b> Get back to the main menu. <br> 2. <b>faq</b> for  FAQ. <br> 3. <b>reset</b> To clear chat history and start from the beginning.  4. <b>livechat</b>  To navigating into the livechat window. 5. <b>unsubscribe</b> to remove your email from our newsletter.')));
         }
        if(!get_option('qlcd_wp_chatbot_reset')) {
            update_option('qlcd_wp_chatbot_reset', serialize(array('Do you want to clear our chat history and start over?')));
        }
        if(!get_option('qlcd_wp_chatbot_wildcard_product')) {
            update_option('qlcd_wp_chatbot_wildcard_product', serialize(array('Product Search')));
        }
        if(!get_option('qlcd_wp_chatbot_wildcard_catalog')) {
            update_option('qlcd_wp_chatbot_wildcard_catalog', serialize(array('Catalog')));
        }
        if(!get_option('qlcd_wp_chatbot_featured_products')) {
            update_option('qlcd_wp_chatbot_featured_products', serialize(array('Featured Products')));
        }
        if(!get_option('qlcd_wp_chatbot_no_result')) {
            update_option('qlcd_wp_chatbot_no_result', serialize(array('Sorry, No result found!')));
        }
    
        if(!get_option('qlcd_wp_chatbot_did_you_mean')) {
            update_option('qlcd_wp_chatbot_did_you_mean', serialize(array('Did you mean?')));
        }
    
        
        if(!get_option('qlcd_wp_email_subscription_success')) {
            update_option('qlcd_wp_email_subscription_success', serialize(array('You have successfully subscribed to our newsletter. Thank you.')));
        }
        if(!get_option('qlcd_wp_email_already_subscribe')) {
            update_option('qlcd_wp_email_already_subscribe', serialize(array('You have already subscribed to our newsletter.')));
        }
    
        if(!get_option('qlcd_wp_email_subscription_offer')) {
            update_option('qlcd_wp_email_subscription_offer', serialize(array('')));
        }
        if(!get_option('qlcd_wp_email_subscription_offer_subject')) {
            update_option('qlcd_wp_email_subscription_offer_subject', serialize(array('Email Subscription Offer')));
        }
    
    
        if(!get_option('enable_wp_chatbot_custom_color')) {
            update_option('enable_wp_chatbot_custom_color', '');
        }
        if(!get_option('wp_chatbot_text_color')) {
            update_option('wp_chatbot_text_color', '#37424c');
        }
        if(!get_option('wp_chatbot_link_color')) {
            update_option('wp_chatbot_link_color', '#1f8ceb');
        }
        if(!get_option('wp_chatbot_link_hover_color')) {
            update_option('wp_chatbot_link_hover_color', '#65b6fd');
        }
        if(!get_option('wp_chatbot_bot_msg_bg_color')) {
            update_option('wp_chatbot_bot_msg_bg_color', '#1f8ceb');
        }
        if(!get_option('wp_chatbot_bot_msg_text_color')) {
            update_option('wp_chatbot_bot_msg_text_color', '#ffffff');
        }
        if(!get_option('wp_chatbot_user_msg_text_color')) {
            update_option('wp_chatbot_user_msg_text_color', '#ffffff');
        }
        if(!get_option('wp_chatbot_user_msg_bg_color')) {
            update_option('wp_chatbot_user_msg_bg_color', '#ffffff');
        }
        
        
        if(!get_option('wp_chatbot_user_msg_text_color')) {
            update_option('wp_chatbot_user_msg_text_color', '#ffffff');
        }
        if(!get_option('wp_chatbot_user_msg_bg_color')) {
            update_option('wp_chatbot_user_msg_bg_color', '#ffffff');
        }
        
        if(!get_option('qlcd_wp_chatbot_sale_products')) {
            update_option('qlcd_wp_chatbot_sale_products', serialize(array('Products on  Sale')));
        }
        if(!get_option('qlcd_wp_chatbot_wildcard_support')) {
            update_option('qlcd_wp_chatbot_wildcard_support', 'faq');
        }
        if(!get_option('qlcd_wp_chatbot_messenger_label')) {
            update_option('qlcd_wp_chatbot_messenger_label', serialize(array('Chat with Us on Facebook Messenger')));
        }
        if(!get_option('qlcd_wp_chatbot_product_success')) {
            update_option('qlcd_wp_chatbot_product_success', serialize(array('Great! We have these products for', 'Found these products for')));
        }
        if(!get_option('qlcd_wp_chatbot_product_fail')) {
            update_option('qlcd_wp_chatbot_product_fail', serialize(array('Oops! Nothing matches your criteria', 'Sorry, I found nothing')));
        }
        if(!get_option('qlcd_wp_chatbot_product_asking')) {
            update_option('qlcd_wp_chatbot_product_asking', serialize(array('What are you shopping for?')));
        }
        if(!get_option('qlcd_wp_chatbot_product_suggest')) {
            update_option('qlcd_wp_chatbot_product_suggest', serialize(array('You can browse our extensive catalog. Just pick a category from below:')));
        }
        if(!get_option('qlcd_wp_chatbot_product_infinite')) {
            update_option('qlcd_wp_chatbot_product_infinite', serialize(array('Too many choices? Let\'s try another search term', 'I may have something else for you. Why not search again?')));
        }
        if(!get_option('qlcd_wp_chatbot_load_more')) {
            update_option('qlcd_wp_chatbot_load_more', serialize(array('Load More')));
        }
        if(!get_option('qlcd_wp_chatbot_wildcard_order')) {
            update_option('qlcd_wp_chatbot_wildcard_order', serialize(array('Order Status')));
        }
        if(!get_option('qlcd_wp_chatbot_order_welcome')) {
            update_option('qlcd_wp_chatbot_order_welcome', serialize(array('Welcome to Order status section!')));
        }
        if(!get_option('qlcd_wp_chatbot_order_username_asking')) {
            update_option('qlcd_wp_chatbot_order_username_asking', serialize(array('Please type your username?')));
        }
        if(!get_option('qlcd_wp_chatbot_order_username_password')) {
            update_option('qlcd_wp_chatbot_order_username_password', serialize(array('Please type your password')));
        }
        if(!get_option('qlcd_wp_chatbot_order_username_not_exist')) {
            update_option('qlcd_wp_chatbot_order_username_not_exist', serialize(array('This username does not exist.')));
        }
        if(!get_option('qlcd_wp_chatbot_order_username_thanks')) {
            update_option('qlcd_wp_chatbot_order_username_thanks', serialize(array('Thank you for the username')));
        }
        if(!get_option('qlcd_wp_chatbot_order_password_incorrect')) {
            update_option('qlcd_wp_chatbot_order_password_incorrect', serialize(array('Sorry Password is not correct!')));
        }
        if(!get_option('qlcd_wp_chatbot_asking_email')) {
            update_option('qlcd_wp_chatbot_asking_email', serialize(array('Please provide your email address')));
        }
        if(!get_option('qlcd_wp_chatbot_search_keyword')) {
            update_option('qlcd_wp_chatbot_search_keyword', serialize(array('Hello #name!, Please enter your keyword for searching')));
        }
        if(!get_option('qlcd_wp_chatbot_order_not_found')) {
            update_option('qlcd_wp_chatbot_order_not_found', serialize(array('I did not find any order by you')));
        }
         if(!get_option('qlcd_wp_chatbot_order_found')) {
            update_option('qlcd_wp_chatbot_order_found', serialize(array('I have found the following orders')));
        }
        if(!get_option('qlcd_wp_chatbot_order_email_support')) {
            update_option('qlcd_wp_chatbot_order_email_support', serialize(array('Email our support center about your order.')));
        }
        if(!get_option('qlcd_wp_chatbot_support_welcome')) {
            update_option('qlcd_wp_chatbot_support_welcome', serialize(array('Welcome to FAQ Section')));
        }
        if(!get_option('qlcd_wp_chatbot_support_email')) {
            update_option('qlcd_wp_chatbot_support_email', serialize(array('Click me if you want to send us a email.')));
        }
        if(!get_option('qlcd_wp_chatbot_asking_msg')) {
            update_option('qlcd_wp_chatbot_asking_msg', serialize(array('Thank you for email address. Please write your message now.')));
        }
        if(!get_option('qlcd_wp_chatbot_invalid_email')) {
            update_option('qlcd_wp_chatbot_invalid_email', serialize(array('Sorry, Email address is not valid! Please provide a valid email.')));
        }
        if(!get_option('qlcd_wp_chatbot_support_phone')) {
            update_option('qlcd_wp_chatbot_support_phone', 'Leave your number. We will call you back!');
        }
        if(!get_option('qlcd_wp_chatbot_asking_phone')) {
            update_option('qlcd_wp_chatbot_asking_phone', serialize(array('Please provide your Phone number')));
        }
        if(!get_option('qlcd_wp_chatbot_thank_for_phone')) {
            update_option('qlcd_wp_chatbot_thank_for_phone', serialize(array('Thank you for Phone number')));
        }
        if(!get_option('qlcd_wp_chatbot_support_option_again')) {
            update_option('qlcd_wp_chatbot_support_option_again', serialize(array('You may choose an option from below.')));
        }
        if(!get_option('qlcd_wp_chatbot_admin_email')) {
            update_option('qlcd_wp_chatbot_admin_email', $admin_email);
        }
    
        if(!get_option('qlcd_wp_chatbot_from_email')) {
            update_option('qlcd_wp_chatbot_from_email', '');
        }
        if(!get_option('qlcd_wp_chatbot_from_name')) {
            update_option('qlcd_wp_chatbot_from_name', 'Wordpress');
        }
        if(!get_option('qlcd_wp_chatbot_reply_to_email')) {
            update_option('qlcd_wp_chatbot_reply_to_email', '');
        }
    
        if(!get_option('qlcd_wp_chatbot_email_sub')) {
            update_option('qlcd_wp_chatbot_email_sub', sanitize_text_field('Support Request from WPBOT'));
        }
    
        if(!get_option('qlcd_wp_chatbot_callback_email_sub')) {
            update_option('qlcd_wp_chatbot_callback_email_sub', sanitize_text_field('WPBot Support Mail Request for Callback'));
        }
    
        
        if(!get_option('qlcd_wp_chatbot_we_have_found')) {
            update_option('qlcd_wp_chatbot_we_have_found', sanitize_text_field('We have found #result results for #keyword'));
        }
        if(!get_option('qlcd_wp_chatbot_email_sent')) {
            update_option('qlcd_wp_chatbot_email_sent', sanitize_text_field('Your email was sent successfully.Thanks!'));
        }
        if(!get_option('qlcd_wp_site_search')) {
            update_option('qlcd_wp_site_search', sanitize_text_field('Site Search'));
        }
        if(!get_option('qlcd_wp_livechat')) {
            update_option('qlcd_wp_livechat', sanitize_text_field('Livechat'));
        }
        
        if(!get_option('qlcd_wp_email_subscription')) {
            update_option('qlcd_wp_email_subscription', sanitize_text_field('Email Subscription'));
        }
        
        if(!get_option('qlcd_wp_str_category')) {
            update_option('qlcd_wp_str_category', sanitize_text_field('STR Categories'));
        }
        if(!get_option('qlcd_open_ticket_label')) {
            update_option('qlcd_open_ticket_label', sanitize_text_field('Open a Ticket'));
        }
        if(!get_option('qlcd_wp_email_unsubscription')) {
            update_option('qlcd_wp_email_unsubscription', sanitize_text_field('Unsubscribe'));
        }
        if(!get_option('qlcd_wp_send_us_email')) {
            update_option('qlcd_wp_send_us_email', sanitize_text_field('Send Us Email'));
        }
        if(!get_option('qlcd_wp_leave_feedback')) {
            update_option('qlcd_wp_leave_feedback', sanitize_text_field('Leave a Feedback'));
        }
        if(!get_option('qlcd_wp_chatbot_email_fail')) {
            update_option('qlcd_wp_chatbot_email_fail', sanitize_text_field('Sorry! I could not send your mail! Please contact the webmaster.'));
        }
        if(!get_option('qlcd_wp_chatbot_notification_interval')) {
            update_option('qlcd_wp_chatbot_notification_interval', sanitize_text_field(5));
        }
        if(!get_option('qlcd_wp_chatbot_notifications')) {
            update_option('qlcd_wp_chatbot_notifications', serialize(array('Welcome to WPBot')));
        }
        if(!get_option('qcld_exit_pagewise')) {
            update_option('qcld_exit_pagewise', '');
        }
        
        if(!get_option('qlcd_wp_chatbot_notifications_intent')) {
            update_option('qlcd_wp_chatbot_notifications_intent', serialize(array('')));
        }
        
        if(!get_option('support_query')) {
            update_option('support_query', serialize(array('What is WPBot?')));
        }
        if(!get_option('qlcd_wp_custon_intent')) {
            update_option('qlcd_wp_custon_intent', '');
        }
        if(!get_option('qlcd_wp_custon_intent_label')) {
            update_option('qlcd_wp_custon_intent_label', '');
        }
        if(!get_option('qlcd_wp_custon_intent_checkbox')) {
            update_option('qlcd_wp_custon_intent_checkbox', '');
        }
    
        if(!get_option('qlcd_wp_custon_menu')) {
            update_option('qlcd_wp_custon_menu', '');
        }
        if(!get_option('qlcd_wp_custon_menu_link')) {
            update_option('qlcd_wp_custon_menu_link', '');
        }
        if(!get_option('qlcd_wp_custon_menu_checkbox')) {
            update_option('qlcd_wp_custon_menu_checkbox', '');
        }

        if(!get_option('support_ans')) {
            update_option('support_ans', serialize(array('WPBot is a stand alone Chat Bot with zero configuration or bot training required. This plug and play chatbot also does not require any 3rd party service integration like Facebook. This chat bot helps shoppers find the products they are looking for easily and increase store sales! WPBot is a must have plugin for trending conversational commerce or conversational shopping.')));
        }
        if(!get_option('qlcd_wp_chatbot_search_option')) {
            update_option('qlcd_wp_chatbot_search_option', 'standard');
        }
        if(!get_option('wp_chatbot_index_count')) {
            update_option('wp_chatbot_index_count', 0);
        }
        if(!get_option('wp_chatbot_app_pages')) {
            update_option('wp_chatbot_app_pages', 0);
        }
        //messenger options.
        if(!get_option('enable_wp_chatbot_messenger')) {
            update_option('enable_wp_chatbot_messenger', '');
        }
        if(!get_option('enable_wp_chatbot_messenger_floating_icon')) {
            update_option('enable_wp_chatbot_messenger_floating_icon', '');
        }
        if(!get_option('qlcd_wp_chatbot_fb_app_id')) {
            update_option('qlcd_wp_chatbot_fb_app_id', '');
        }
        if(!get_option('qlcd_wp_chatbot_fb_page_id')) {
            update_option('qlcd_wp_chatbot_fb_page_id', '');
        }
        if(!get_option('qlcd_wp_chatbot_fb_color')) {
            update_option('qlcd_wp_chatbot_fb_color', '#0084ff');
        }
        if(!get_option('qlcd_wp_chatbot_fb_in_msg')) {
            update_option('qlcd_wp_chatbot_fb_in_msg', 'Welcome to WPBot!');
        }
        if(!get_option('qlcd_wp_chatbot_fb_out_msg')) {
            update_option('qlcd_wp_chatbot_fb_out_msg', 'You are not logged in');
        }
        //Skype option
        if(!get_option('enable_wp_chatbot_skype_floating_icon')) {
            update_option('enable_wp_chatbot_skype_floating_icon', '');
        }
        if(!get_option('enable_wp_chatbot_skype_id')) {
            update_option('enable_wp_chatbot_skype_id', '');
        }
         //Whats App
        if(!get_option('enable_wp_chatbot_whats')) {
            update_option('enable_wp_chatbot_whats', '');
        }
        if(!get_option('qlcd_wp_chatbot_whats_label')) {
            update_option('qlcd_wp_chatbot_whats_label', serialize(array('Chat with Us on WhatsApp')));
        }
        if(!get_option('enable_wp_chatbot_floating_whats')) {
                update_option('enable_wp_chatbot_floating_whats', '');
            }
         if(!get_option('qlcd_wp_chatbot_whats_num')) {
                update_option('qlcd_wp_chatbot_whats_num', '');
            }
        //Viber
         if(!get_option('enable_wp_chatbot_floating_viber')) {
                update_option('enable_wp_chatbot_floating_viber', '');
            }
         if(!get_option('qlcd_wp_chatbot_viber_acc')) {
                update_option('qlcd_wp_chatbot_viber_acc', '');
            }
        //Integration others
        if(!get_option('enable_wp_chatbot_floating_phone')) {
            update_option('enable_wp_chatbot_floating_phone', '');
        }
        if(!get_option('enable_wp_chatbot_floating_livechat')) {
            update_option('enable_wp_chatbot_floating_livechat', '');
        }
        if(!get_option('enable_wp_custom_intent_livechat_button')) {
            update_option('enable_wp_custom_intent_livechat_button', '');
        }
        if(!get_option('qlcd_wp_chatbot_phone')) {
            update_option('qlcd_wp_chatbot_phone', '');
        }
        if(!get_option('qlcd_wp_chatbot_livechatlink')) {
            update_option('qlcd_wp_chatbot_livechatlink', '');
        }
        if(!get_option('qlcd_wp_livechat_button_label')) {
            update_option('qlcd_wp_livechat_button_label', 'Live Chat');
        }
        if(!get_option('wp_custom_icon_livechat')) {
            update_option('wp_custom_icon_livechat', '');
        }
        if(!get_option('wp_custom_help_icon')) {
            update_option('wp_custom_help_icon', '');
        }
        if(!get_option('wp_custom_client_icon')) {
            update_option('wp_custom_client_icon', '');
        }
        if(!get_option('wp_custom_support_icon')) {
            update_option('wp_custom_support_icon', '');
        }
        if(!get_option('wp_custom_chat_icon')) {
            update_option('wp_custom_chat_icon', '');
        }
        if(!get_option('wp_custom_typing_icon')) {
            update_option('wp_custom_typing_icon', '');
        }
        
        if(!get_option('enable_wp_chatbot_floating_link')) {
            update_option('enable_wp_chatbot_floating_link', '');
        }
    
        if(!get_option('qlcd_wp_chatbot_weblink')) {
            update_option('qlcd_wp_chatbot_weblink', '');
        }
        //Re-Tagetting
        if(!get_option('qlcd_wp_chatbot_ret_greet')) {
            update_option('qlcd_wp_chatbot_ret_greet', 'Hello');
        }
        if(!get_option('enable_wp_chatbot_exit_intent')) {
            update_option('enable_wp_chatbot_exit_intent', '');
        }
        if(!get_option('wp_chatbot_exit_intent_msg')) {
            update_option('wp_chatbot_exit_intent_msg', '');
        }
        if(!get_option('wp_chatbot_exit_intent_custom')) {
            update_option('wp_chatbot_exit_intent_custom', '');
        }
        if(!get_option('wp_chatbot_exit_intent_bargain_pro_single_page')) {
            update_option('wp_chatbot_exit_intent_bargain_pro_single_page', '');
        }
        
        if(!get_option('wp_chatbot_exit_intent_email')) {
            update_option('wp_chatbot_exit_intent_email', '');
        }
        if(!get_option('wp_chatbot_exit_intent_once')) {
            update_option('wp_chatbot_exit_intent_once', '');
        }
    
        if(!get_option('enable_wp_chatbot_scroll_open')) {
            update_option('enable_wp_chatbot_scroll_open', '');
        }
        if(!get_option('wp_chatbot_scroll_open_msg')) {
            update_option('wp_chatbot_scroll_open_msg', '');
        }
        if(!get_option('wp_chatbot_exit_intent_bargain_msg')) {
            update_option('wp_chatbot_exit_intent_bargain_msg', '');
        }
        
        if(!get_option('wp_chatbot_scroll_open_custom')) {
            update_option('wp_chatbot_scroll_open_custom', '');
        }
        if(!get_option('wp_chatbot_scroll_open_email')) {
            update_option('wp_chatbot_scroll_open_email', '');
        }
        if(!get_option('wp_chatbot_scroll_percent')) {
            update_option('wp_chatbot_scroll_percent', 50);
        }
        if(!get_option('wp_chatbot_scroll_once')) {
            update_option('wp_chatbot_scroll_once', '');
        }
    
        if(!get_option('enable_wp_chatbot_auto_open')) {
            update_option('enable_wp_chatbot_auto_open', '');
        }
    
        if(!get_option('enable_wp_chatbot_ret_sound')) {
            update_option('enable_wp_chatbot_ret_sound', '');
        }
        if(!get_option('enable_wp_chatbot_sound_initial')) {
            update_option('enable_wp_chatbot_sound_initial', '');
        }
    
    
        if(!get_option('wp_chatbot_auto_open_msg')) {
            update_option('wp_chatbot_auto_open_msg', '');
        }
        
        if(!get_option('wp_chatbot_auto_open_custom')) {
            update_option('wp_chatbot_auto_open_custom', '');
        }
        if(!get_option('wp_chatbot_auto_open_email')) {
            update_option('wp_chatbot_auto_open_email', '');
        }
        if(!get_option('wp_chatbot_auto_open_time')) {
            update_option('wp_chatbot_auto_open_time', 10);
        }
        if(!get_option('wp_chatbot_auto_open_once')) {
            update_option('wp_chatbot_auto_open_once', '');
        }
         if(!get_option('wp_chatbot_inactive_once')) {
            update_option('wp_chatbot_inactive_once', '');
        }
    
        //To complete checkout.
        if(!get_option('enable_wp_chatbot_ret_user_show')) {
            update_option('enable_wp_chatbot_ret_user_show', '');
        }
        if(!get_option('wp_chatbot_checkout_msg')) {
            update_option('wp_chatbot_checkout_msg', 'You have products in shopping cart, please complete your order.');
        }
        if(!get_option('wp_chatbot_inactive_time')) {
            update_option('wp_chatbot_inactive_time', 300);
        }
        if(!get_option('enable_wp_chatbot_inactive_time_show')) {
            update_option('enable_wp_chatbot_inactive_time_show', '');
        }
    
        if(!get_option('wp_chatbot_proactive_bg_color')) {
            update_option('wp_chatbot_proactive_bg_color', '#ffffff');
        }
        if(!get_option('disable_wp_chatbot_feedback')) {
            update_option('disable_wp_chatbot_feedback','');
        }
        
        if(!get_option('disable_wp_leave_feedback')) {
            update_option('disable_wp_leave_feedback','');
        }
        if(!get_option('disable_wp_chatbot_site_search')) {
            update_option('disable_wp_chatbot_site_search','');
        }
        if(!get_option('disable_wp_chatbot_faq')) {
            update_option('disable_wp_chatbot_faq','');
        }
        if(!get_option('disable_email_subscription')) {
            update_option('disable_email_subscription','');
        }
        if(!get_option('disable_str_categories')) {
            update_option('disable_str_categories','');
        }
        if(!get_option('disable_open_ticket')) {
            update_option('disable_open_ticket','');
        }
        if(!get_option('disable_livechat')) {
            update_option('disable_livechat','');
        }
        if(!get_option('disable_livechat_opration_icon')) {
            update_option('disable_livechat_opration_icon','');
        }
        if(!get_option('qlcd_wp_chatbot_feedback_label')) {
            update_option('qlcd_wp_chatbot_feedback_label',serialize(array('Send Feedback')));
        }
    
        if(!get_option('enable_wp_chatbot_meta_title')) {
            update_option('enable_wp_chatbot_meta_title','');
        }
        if(!get_option('qlcd_wp_chatbot_meta_label')) {
            update_option('qlcd_wp_chatbot_meta_label','*New Messages');
        }
    
        if(!get_option('disable_wp_chatbot_call_gen')) {
            update_option('disable_wp_chatbot_call_gen', '');
        }
        if(!get_option('disable_wp_chatbot_call_sup')) {
            update_option('disable_wp_chatbot_call_sup', '');
        }
    
        if(!get_option('qlcd_wp_chatbot_phone_sent')) {
            update_option('qlcd_wp_chatbot_phone_sent',  'Thank you for the Phone number. We will call back ASAP.');
        }
        if(!get_option('qlcd_wp_chatbot_phone_fail')) {
            update_option('qlcd_wp_chatbot_phone_fail', 'Sorry! I could not collect phone number!');
        }
        if(!get_option('qlcd_wp_chatbot_skip_conversation')) {
            update_option('qlcd_wp_chatbot_skip_conversation', 'Click this button to skip the conversation');
        }
        if(!get_option('qlcd_wp_chatbot_load_more_search')) {
            update_option('qlcd_wp_chatbot_load_more_search', 'Load More');
        }
        if(!get_option('qlcd_wp_chatbot_conversation_details')) {
            update_option('qlcd_wp_chatbot_conversation_details', 'Conversation Details');
        }
        if(!get_option('enable_wp_chatbot_opening_hour')) {
            update_option('enable_wp_chatbot_opening_hour', '');
        }
        if(!get_option('enable_wp_chatbot_opening_hour')) {
            update_option('wpwbot_hours', array());
        }
    
        if(!get_option('enable_wp_chatbot_dailogflow')) {
            update_option('enable_wp_chatbot_dailogflow', '');
        }
        if(!get_option('wpbot_trigger_intent')) {
            update_option('wpbot_trigger_intent', '');
        }
    
        if(!get_option('enable_authentication_webhook')) {
            update_option('enable_authentication_webhook', '');
        }
    
        if(!get_option('qcld_auth_username')) {
            update_option('qcld_auth_username', '');
        }
    
        if(!get_option('qcld_auth_password')) {
            update_option('qcld_auth_password', '');
        }
    
        
        
        if(!get_option('qlcd_wp_chatbot_dialogflow_client_token')) {
            update_option('qlcd_wp_chatbot_dialogflow_client_token', '');
        }
        if(!get_option('qlcd_wp_chatbot_dialogflow_project_id')) {
            update_option('qlcd_wp_chatbot_dialogflow_project_id', '');
        }
        if(!get_option('wp_chatbot_df_api')) {
            update_option('wp_chatbot_df_api', '');
        }
    
        
        if(!get_option('qlcd_wp_chatbot_dialogflow_project_key')) {
            update_option('qlcd_wp_chatbot_dialogflow_project_key', '');
        }
        if(!get_option('$qlcd_wp_chatbot_dialogflow_defualt_reply')) {
            update_option('$qlcd_wp_chatbot_dialogflow_defualt_reply', 'Sorry, I did not understand you. You may browse');
        }
        if(!get_option('$qlcd_wp_chatbot_dialogflow_agent_language')) {
            update_option('$qlcd_wp_chatbot_dialogflow_agent_language', 'en');
        }
        if(!get_option('qcwp_install_date')) {
            update_option('qcwp_install_date', date('Y-m-d'));
        }
    
        $value = qldf_botwp_content('logodata');	
        if($value!=''){
            update_option('_qopced_wgjsuelsdfj_', $value);
        }
        $value2 = qldf_botwp_content('customservicedata');
        if($value2!=''){
            update_option('_qopced_wgjegdselsdfj_', $value2);
        }
        $value3 = qldf_botwp_content('themedata');
        if($value3!=''){
            update_option('_qopced_wgjegdsetheme_', $value3);
        }
    
    
        if (get_page_by_title('wpwBot Mobile App') == NULL) {
            //post status and options
            $app_page = array(
                'comment_status' => 'closed',
                'ping_status' => 'closed',
                'post_author' => get_current_user_id(),
                'post_date' => current_time( 'mysql' ),
                'post_status' => 'publish',
                'post_title' => 'wpwBot Mobile App',
                'post_name' => 'wpwbot-mobile-app',
                'post_type' => 'page',
            );
            //insert page and save the id
            $wpwbot_app = wp_insert_post($app_page, false);
            //save the id in the database
            update_option('wp_chatbot_app_checkout', $wpwbot_app);
        }
    }
}
